Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.grails.async.decorator
[Groovy] Interface PromiseDecorator

    interface PromiseDecorator

Decorates any function execution potentially wrapping an asynchronous function execution in new functionality.

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`groovy.lang.Closure` | `decorate(groovy.lang.Closure c)` Decorates the given closures, returning the decorated closure

Method Detail

### decorate

    groovy.lang.Closure decorate(groovy.lang.Closure c)

  Decorates the given closures, returning the decorated closure
  Parameters:
    `c` - The closure to decorate
  Returns:
    The decorated closure

Groovy Documentation